Bug 30709 - Implement UI for RDFa support
Summary: Implement UI for RDFa support
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: ODF-import
  Show dependency treegraph
 
Reported: 2010-10-08 08:02 UTC by schematronic
Modified: 2017-06-25 07:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description schematronic 2010-10-08 08:02:53 UTC
ODF 1.2 schema have some RDFa-related atrributes , but this is not reflected in LibreOffice UI

Here citation from 1.2 spec

"19.907 xhtml:about
The xhtml:about attribute specifies the subject of an RDF statement for in content metadata. Predicates for RDF statements are specified by the xhtml:property attribute. 19.910
The RDF statement's object is specified by the xhtml:content attribute, if present, or it is
the literal content between the <text:bookmark-start> and <text:bookmark-end> elements for xhtml:about attributes appearing at <text:bookmark-start> elements. 6.2.1.3, 6.2.1.4
the literal content of the element containing the xhtml:about attribute in all other cases.
The xhtml:datatype attribute provides the data type of the RDF object. 19.909
attribute-xhtml:about
The xhtml:about attribute is usable with the following elements: <table:covered-table-cell> 9.1.5, <table:table-cell> 9.1.4, <text:bookmark-start> 6.2.1.3, <text:h> 5.1.2, <text:meta> 6.1.9 and <text:p> 5.1.3.
The xhtml:about attribute has the data type URIorSafeCURIE 18.3.36.
19.908 xhtml:content
The xhtml:content attribute specifies an object of an RDF statement for in content metadata. 19.907.
attribute-xhtml:content
The xhtml:content attribute is usable with the following elements: <table:covered-table-cell> 9.1.5, <table:table-cell> 9.1.4, <text:bookmark-start> 6.2.1.3, <text:h> 5.1.2, <text:meta> 6.1.9 and <text:p> 5.1.3.
The xhtml:content attribute has the data type string 18.2.
19.909 xhtml:datatype
The xhtml:datatype attribute specifies the RDF data type (see §5 of [RDF-CONCEPTS]) of the object of an RDF statement. 
attribute-xhtml:datatype
The xhtml:datatype attribute is usable with the following elements: <table:covered-table-cell> 9.1.5, <table:table-cell> 9.1.4, <text:bookmark-start> 6.2.1.3, <text:h> 5.1.2, <text:meta> 6.1.9 and <text:p> 5.1.3.
The xhtml:datatype attribute has the data type CURIE 18.3.11.
19.910 xhtml:property
The xhtml:property attribute specifies a list of one or more CURIEs. Each CURIE is the predicate of an RDF statement for in content metadata. 19.907.
attribute-xhtml:property
The xhtml:property attribute is usable with the following elements: <table:covered-table-cell> 9.1.5, <table:table-cell> 9.1.4, <text:bookmark-start> 6.2.1.3, <text:h> 5.1.2, <text:meta> 6.1.9 and <text:p> 5.1.3.
The xhtml:property attribute has the data type CURIEs 18.3.12.
"
Comment 1 Jan Holesovsky 2010-10-14 03:55:25 UTC
schematronic: Thank you for the citation of the specs, unfortunately that does not help us too much to implement the functionality.  Can you describe it from the LibreOffice point of view - like which component is affected?  Writer?  Calc?  All of them?  Can you propose the missing UI - like is that a missing dialog box?  Menu entry?  Anything else?

Thank you for your support!
Comment 2 Katarina Behrens 2011-03-23 09:13:55 UTC
No reply from the reporter for 5 months, closing
Comment 3 Björn Michaelsen 2011-12-22 05:36:13 UTC
Remove infoprovider from closed and resolved bugs.
Comment 4 Björn Michaelsen 2011-12-22 05:50:22 UTC
RESOLVED, FIXED or CLOSED bugs cant be KEYWORD NEEDINFO.
Comment 5 schematronic 2011-12-22 06:15:34 UTC
sorry - i miss NEEDINFO request

i think here should be new tab for properties and/or menu item with "RDFa" label for <table:covered-table-cell>, <table:table-cell>,<text:bookmark-start>, <text:h>,<text:meta> and <text:p> elements
Comment 6 Joel Madero 2013-10-10 04:19:51 UTC
Lowering priority as this is not a highest priority. Setting it to medium for now as we attempt to clean our bug tracker
Comment 7 Dennis Roczek 2013-10-16 14:25:56 UTC
BTW: at http://monkeyiq.blogspot.de/2012/07/rdf-abiword-and-calligra.html is a blog post describing how Calligra and Abiword support the RDF part of ODF with a great screenshot and additional information.
Comment 8 Dennis Roczek 2013-11-20 13:38:49 UTC
just for the reference: I found an additional earlier blog post for AbiWord at http://monkeyiq.blogspot.com/2012/01/rdf-abiword-and-relations.html
Comment 9 Joel Madero 2014-11-03 03:21:55 UTC
REOPENED is incorrect status here, pushing back to UNCONFIRMED so QA team can confirm the enhancement request.
Comment 10 tommy27 2014-12-25 07:03:08 UTC
please guys, retest with current LibO 4.3.5 release and tell if this enhancement request is still valid.
Comment 11 Dennis Roczek 2015-05-07 11:37:12 UTC
Yes, this is still valid as nothing happened at this front - or nothing was added to the ReleaseNotes wiki pages.
Comment 12 Chris Sherlock 2017-06-25 07:45:19 UTC
It would be helpful if we could get some pointers to the code around RDFa.